/**
 *
 */
package de.intevation.gnv.artifactdatabase.objects;
/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class DefaultInputParameter implements InputParameter {

    
    private String name = null;
    
    private String[] values = null;
    
    /**
     * Constructor
     * @param name
     * @param values
     */
    public DefaultInputParameter(String name, String[] values) {
        super();
        this.name = name;
        this.values = values;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.InputParameter#getName()
     */
    public String getName() {
        return this.name;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.InputParameter#getValues()
     */
    public String[] getValues() {
        return this.values;
    }

}
