<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                xmlns="http://www.w3.org/2002/xforms" 
                xmlns:xform="http://www.w3.org/2002/xforms" 
                xmlns:art="http://www.intevation.de/2009/artifacts">
    <xsl:output method="html" version="1.0" encoding="UTF-8" omit-xml-declaration="no"/>
    
    <xsl:template match="*[local-name() = 'ui']">
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="*[local-name() = 'select']">
        <xsl:variable name="selectName" select="@ref"/>
        <select name="{$selectName}" multiple="multiple" size="6"> <xsl:apply-templates/></select>
    </xsl:template>
    <xsl:template match="*[local-name() = 'select1']">
        <xsl:variable name="selectName" select="@ref"/>
        <select name="{$selectName}"> <xsl:apply-templates/></select>
    </xsl:template>
    <xsl:template match="*[local-name() = 'item']">
        <xsl:variable name="optionValue" select="*[local-name() = 'value']"/>
        <option value="{$optionValue}"><xsl:value-of select="*[local-name() = 'label']"></xsl:value-of></option>
    </xsl:template>
    
    
    <xsl:template match="*[local-name() = 'input']">
        <xsl:variable name="inputValue" select="*[local-name() = 'value']"/>
        <xsl:variable name="inputName" select="*[local-name() = 'label']"/>
        <xsl:value-of select="*[local-name() = 'label']"/>: <input type="text" id="{$inputName}" name="{$inputName}" value="{$inputValue}" /><br/> 
    </xsl:template>
    
    <xsl:template match="*[local-name() = 'label']">
    </xsl:template>
</xsl:stylesheet>