<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-tiles" prefix="tiles" %>
<html:html xhtml="true" locale="true">
    <head>
        <title>
            <bean:message key="gnviewer.app.title"/>
        </title>
        <meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
        <meta http-equiv="Content-Script-Type" content="text/javascript"/>
        <meta http-equiv="Content-Style-Type" content="text/css"/>
        <meta http-equiv="Expires" content="Mon, 01 Jan 1990 00:00:01 GMT"/>
        <meta http-equiv="pragma" content="no-cache"/>
        <meta http-equiv="cache-control" content="no-cache"/>
        <meta name="robots" content="noindex"/>
        <link href="styles/default.css" rel="stylesheet" type="text/css"/>
        <link href="styles/calendar-blue.css" rel="stylesheet" type="text/css"/>
        <!--[if IE]>
            <style type="text/css">
            #overlay {
                filter:Alpha(opacity=50, finishopacity=50, style=2);
            }
            </style>
        <![endif]-->
        <script type="text/javascript" src="scripts/gnviewer.js"></script>
        <script type="text/javascript" src="scripts/prototype.js"></script>
        <script type="text/javascript" src="scripts/calendar.js"></script>
        <script type="text/javascript" src="scripts/calendar-de.js"></script>
        <script type="text/javascript" src="scripts/calendar-setup.js"></script>
    </head>

    <body id="gnviewerbody">
    <div id="overlay"></div>
    <div style="width:100%;left:0;top:0;width:100%;height:100%;position:absolute">
        <div id="overlayContent">
            <p><bean:message key="gnviewer.productselection.overlay.title"/></p>
        </div>
    </div>
    <div id="page">
        <tiles:insert attribute="header" ignore="true"/>
        <tiles:insert attribute="body" ignore="true"/>
        <tiles:insert attribute="footer" ignore="true"/>
    </div>
    </body>
</html:html>